//+------------------------------------------------------------------+
//|                                              OHLC large font.mq4 |
//|                                                           Miyagi |
//|                               http://www.forexfactory.com/miyagi |
//+------------------------------------------------------------------+
#property copyright "Miyagi"
#property link      "http://www.forexfactory.com/miyagi"
#property indicator_chart_window

extern string
   Font        = "Arial Black";
extern int
   Fontsize    = 10,
   Corner      = 0,
   Xdistance   = 2,
   Ydistance   = 0;
extern color
   Color       = Lime;

#define OBJNAME "OHLC large font"
string gSymbolTF;

int init()
{
   SetIndexLabel(0, NULL);
   gSymbolTF = StringConcatenate(Symbol(), ",", _Gettimeframe(Period()), " ");
   return(0);
}

int deinit()
{
   ObjectDelete(OBJNAME);
   return(0);
}

int start()
{
   string text;

   text = StringConcatenate(gSymbolTF, DoubleToStr(Open[0], Digits), " ", DoubleToStr(High[0], Digits), " ", DoubleToStr(Low[0], Digits), " ", DoubleToStr(Close[0], Digits));     
   if (ObjectFind(OBJNAME) < 0)
      ObjectCreate(OBJNAME, OBJ_LABEL, 0, 0, 0);
   ObjectSet(OBJNAME, OBJPROP_CORNER, Corner);
   ObjectSet(OBJNAME, OBJPROP_XDISTANCE, Xdistance);
   ObjectSet(OBJNAME, OBJPROP_YDISTANCE, Ydistance);
   ObjectSet(OBJNAME, OBJPROP_BACK, false);
   ObjectSetText(OBJNAME, text, Fontsize, Font, Color);
   return(0);
}
  
string _Gettimeframe(int tf)
{
   switch(tf)
   {
      case PERIOD_M1 : return("M1" );
      case PERIOD_M5 : return("M5" );
      case PERIOD_M15: return("M15");
      case PERIOD_M30: return("M30");
      case PERIOD_H1 : return("H1" );
      case PERIOD_H4 : return("H4" );
      case PERIOD_D1 : return("D1" );
      case PERIOD_W1 : return("W1" );
      case PERIOD_MN1: return("MN1");    
      default:         return("M" + Period());
  }
}